<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:43 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>KeyStore (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="KeyStore (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/KeyStore.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/KeyStore.html" target="_top">Frames</a></li>
<li><a href="KeyStore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.entity</div>
<h2 title="Class KeyStore" class="title">Class KeyStore</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.entity.KeyStore</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Entity
public class <span class="typeNameLabel">KeyStore</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">The Entity Class for KeyStore.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Brahmananda Reddy</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#KeyStore--">KeyStore</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getCreatedBy--">getCreatedBy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getCreatedDtimes--">getCreatedDtimes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getDeletedTimes--">getDeletedTimes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getId--">getId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getPublicKey--">getPublicKey</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getRefId--">getRefId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getStatusCode--">getStatusCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getUpdatedBy--">getUpdatedBy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getUpdatedTimes--">getUpdatedTimes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getValidFromDtimes--">getValidFromDtimes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#getValidTillDtimes--">getValidTillDtimes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#isDeleted--">isDeleted</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setCreatedBy-java.lang.String-">setCreatedBy</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;createdBy)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setCreatedDtimes-java.sql.Timestamp-">setCreatedDtimes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;createdDtimes)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setDeleted-boolean-">setDeleted</a></span>(boolean&nbsp;isDeleted)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setDeletedTimes-java.sql.Timestamp-">setDeletedTimes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;deletedTimes)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setId-java.lang.String-">setId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setPublicKey-byte:A-">setPublicKey</a></span>(byte[]&nbsp;publicKey)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setRefId-java.lang.String-">setRefId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;refId)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setStatusCode-java.lang.String-">setStatusCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setUpdatedBy-java.lang.String-">setUpdatedBy</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;updatedBy)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setUpdatedTimes-java.sql.Timestamp-">setUpdatedTimes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;updatedTimes)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setValidFromDtimes-java.sql.Timestamp-">setValidFromDtimes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;validFromDtimes)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/entity/KeyStore.html#setValidTillDtimes-java.sql.Timestamp-">setValidTillDtimes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;validTillDtimes)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="KeyStore--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>KeyStore</h4>
<pre>public&nbsp;KeyStore()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the id</dd>
</dl>
</li>
</ul>
<a name="setId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the id to set</dd>
</dl>
</li>
</ul>
<a name="getPublicKey--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPublicKey</h4>
<pre>public&nbsp;byte[]&nbsp;getPublicKey()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the publicKey</dd>
</dl>
</li>
</ul>
<a name="setPublicKey-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPublicKey</h4>
<pre>public&nbsp;void&nbsp;setPublicKey(byte[]&nbsp;publicKey)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>publicKey</code> - the publicKey to set</dd>
</dl>
</li>
</ul>
<a name="getValidFromDtimes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidFromDtimes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getValidFromDtimes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the validFromDtimes</dd>
</dl>
</li>
</ul>
<a name="setValidFromDtimes-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidFromDtimes</h4>
<pre>public&nbsp;void&nbsp;setValidFromDtimes(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;validFromDtimes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validFromDtimes</code> - the validFromDtimes to set</dd>
</dl>
</li>
</ul>
<a name="getValidTillDtimes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidTillDtimes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getValidTillDtimes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the validTillDtimes</dd>
</dl>
</li>
</ul>
<a name="setValidTillDtimes-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidTillDtimes</h4>
<pre>public&nbsp;void&nbsp;setValidTillDtimes(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;validTillDtimes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validTillDtimes</code> - the validTillDtimes to set</dd>
</dl>
</li>
</ul>
<a name="getRefId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRefId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the refId</dd>
</dl>
</li>
</ul>
<a name="setRefId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefId</h4>
<pre>public&nbsp;void&nbsp;setRefId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;refId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refId</code> - the refId to set</dd>
</dl>
</li>
</ul>
<a name="getStatusCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatusCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStatusCode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the statusCode</dd>
</dl>
</li>
</ul>
<a name="setStatusCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatusCode</h4>
<pre>public&nbsp;void&nbsp;setStatusCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusCode)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statusCode</code> - the statusCode to set</dd>
</dl>
</li>
</ul>
<a name="getCreatedBy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreatedBy</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCreatedBy()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the createdBy</dd>
</dl>
</li>
</ul>
<a name="setCreatedBy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreatedBy</h4>
<pre>public&nbsp;void&nbsp;setCreatedBy(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;createdBy)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>createdBy</code> - the createdBy to set</dd>
</dl>
</li>
</ul>
<a name="getCreatedDtimes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreatedDtimes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getCreatedDtimes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the createdDtimes</dd>
</dl>
</li>
</ul>
<a name="setCreatedDtimes-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreatedDtimes</h4>
<pre>public&nbsp;void&nbsp;setCreatedDtimes(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;createdDtimes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>createdDtimes</code> - the createdDtimes to set</dd>
</dl>
</li>
</ul>
<a name="getUpdatedBy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpdatedBy</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUpdatedBy()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the updatedBy</dd>
</dl>
</li>
</ul>
<a name="setUpdatedBy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpdatedBy</h4>
<pre>public&nbsp;void&nbsp;setUpdatedBy(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;updatedBy)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>updatedBy</code> - the updatedBy to set</dd>
</dl>
</li>
</ul>
<a name="getUpdatedTimes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpdatedTimes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getUpdatedTimes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the updatedTimes</dd>
</dl>
</li>
</ul>
<a name="setUpdatedTimes-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpdatedTimes</h4>
<pre>public&nbsp;void&nbsp;setUpdatedTimes(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;updatedTimes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>updatedTimes</code> - the updatedTimes to set</dd>
</dl>
</li>
</ul>
<a name="isDeleted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDeleted</h4>
<pre>public&nbsp;boolean&nbsp;isDeleted()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the isDeleted</dd>
</dl>
</li>
</ul>
<a name="setDeleted-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeleted</h4>
<pre>public&nbsp;void&nbsp;setDeleted(boolean&nbsp;isDeleted)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isDeleted</code> - the isDeleted to set</dd>
</dl>
</li>
</ul>
<a name="getDeletedTimes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeletedTimes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getDeletedTimes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the deletedTimes</dd>
</dl>
</li>
</ul>
<a name="setDeletedTimes-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDeletedTimes</h4>
<pre>public&nbsp;void&nbsp;setDeletedTimes(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;deletedTimes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deletedTimes</code> - the deletedTimes to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/KeyStore.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/entity/KeyStore.html" target="_top">Frames</a></li>
<li><a href="KeyStore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
